cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral

## Class REF_I13

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.REF_I12_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.REF_I13

-     public final class REF_I13
      extends REF_I12_Common

  REF_I13 - Modify Patient Referral (Event I13). This message is use for Patient Referral.

  Represents a REF_I12 message structure (see chapter 11.5.3). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: RF1 (Referral Information Segment) SINGLE_OPTIONAL
  4: AUTHORIZATION_CONTACT (a Group in REF_I12 message) SINGLE_OPTIONAL
  5: PROVIDER_CONTACT (a Group in REF_I12 message) MULTIPLE_COMPULSARY
  6: PID (Patient Identification Segment) SINGLE_COMPULSARY
  7: NK1 (Next of Kin / Associated Parties Segment) MULTIPLE_OPTIONAL
  8: GT1 (Guarantor) MULTIPLE_OPTIONAL
  9: INSURANCE (a Group in REF_I12 message Segment) MULTIPLE_OPTIONAL
  10: ACC (Accident Segment) SINGLE_OPTIONAL
  11: DG1 (Diagnosis Segment) MULTIPLE_OPTIONAL
  12: DRG (Diagnosis Related Group Segment) MULTIPLE_OPTIONAL
  13: AL1 (Patient Allergy Information Segment) MULTIPLE_OPTIONAL
  14: PROCEDURE (a Group in REF_I12 message) MULTIPLE_OPTIONAL
  15: OBSERVATION (a Group in REF_I12 message) MULTIPLE_OPTIONAL
  16: PATIENT_VISIT (a Group in REF_I12 message) SINGLE_OPTIONAL
  17: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  REF_I13 objI13 = (REF_I13)MessageFactory.createInstance().createSendSupportedMessage("REF", "I13");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.REF_I12_Common

      `addAllergyInformationSegment, addAllergyInformationSegments, addDiagnosisRelatedGroupSegment, addDiagnosisRelatedGroupSegments, addDiagnosisSegment, addDiagnosisSegments, addGuarantorSegment, addGuarantorSegments, addInsuranceGroup, addInsuranceGroups, addNextOfKinSegment, addNextOfKinSegments, addNotesAndCommentsSegment, addNotesAndCommentsSegments, addObservationGroup, addObservationGroups, addProcedureGroup, addProcedureGroups, addProviderContactGroup, addProviderContactGroups, addSoftwareSegment, addSoftwareSegment, getAccidentInformationSegment, getAllergyInformationSegments, getAuthorizationContactGroup, getDiagnosisRelatedGroupSegments, getDiagnosisSegments, getGuarantorSegments, getInsuranceGroups, getNextOfKinSegments, getNotesAndCommentsSegments, getObservationGroups, getPatientIdentificationSegment, getPatientVisitGroup, getProcedureGroups, getProviderContactGroups, getReferralInformationSegment, getSoftwareSegments, getUserAuthenticationCredentialSegment, setAccidentInformationSegment, setAuthorizationContactGroup, setPatientIdentificationSegment, setPatientVisitGroup, setReferralInformationSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`